=== debian/control ===
Source: lha
Section: non-free/utils
Priority: optional
Maintainer: GOTO Masanori <gotom@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.6.0

Package: lha
Architecture: any
Depends: ${shlibs:Depends}
Description: lzh archiver
 The famous lzh archiver, known from DOS.  When mixing DOS and Unix
 you might need it.  (Especially for fido <--> rfc conversions.)
